Subject: Re: [ietf-types] Registration of media type application/opensearchdescription+xml

From: Frank Ellermann <[email-masked]>
Date: Thu, 3 Nov 2011 12:09:37 +0100

On 25 October 2011 17:10 wrote:

> I've tried to submit an updated "not for RFC"
> Internet Draft

Meanwhile that worked to some degree, I'll fix
the misleading "not for RFC" boilerplate later:

<http://tools.ietf.org/html/draft-ellermann-opensearch>

-Frank

---

From: Paul Libbrecht <[email-masked]>
Date: Thu, 3 Nov 2011 12:24:35 +0100

Le 25 oct. 2011 à 17:10, Frank Ellermann a écrit :

>> My usual suggestion is: what about clipboards?
> 
> Dunno, is there any problem with XML and clipboards?

None, except showing its source to users is ugly.

>> OpenSearch Description Documents sound to be a natural
>> candidate to be exchanged in clipboards (be copied-and
>> -pasted, be drag-and-dropped, ...). Do I mistake?
> 
> All I ever wish to do with OSDs is (1) edit some details,
> or wrt the security considerations inspect their source,
> (2) adopt an OSD when the auto-detect link rel="search"
> worked as it should, (3) click on an AddSearchProvider()
> EcmaScript link for cases where link rel="search" is no
> option.  Where do clipboards enter this picture for you,

Does it make sense to exchange them between two browsers?
The clipboard is a prime place for this.

> and is it relevant for the IANA media type registration?

This is the right place I believe.

> 
>> - Macintosh Uniform Type Identifier:
>> org.opensearch.description conforms to public.xml
> 
> Sadly I've no idea how Mac Uniform type identifiers work,
> and the info published in RFC 4288 convinced me that it's
> not something to worry about.  If you have any "official"
> public source that this is a well-known Mac id.

about OSDs? I do not think so.
About UTIs... start at wikipedia.

> I add it, otherwise I prefer to stick to what I could defend in an IETF Last Call.

I do not think there's a lot of danger involved.

>> - Similarly http://www.opensearch.org/ is rather a
>> volatile change controller.
> 
> This actually is the "change controller" for some years,
> but IANAL and certainly not speaking for A9.

But that is owned by A9...

paul

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 3 Nov 2011 13:09:42 +0100

On 3 November 2011 12:24, Paul Libbrecht wrote:

>> is there any problem with XML and clipboards?

Okay, that is apparently unrelated to the business
at hand, i.e., registering a media type for "OSDs".

>> If you have any "official" public source that
>> this is a well-known Mac id.

> about OSDs? I do not think so.

No problem, Apple or somebody knowing the details
can add it later if desired.  The reference in RFC
4288 is Apple KB 55381 vintage 1993, and I've read
the 2008 update (TA25699) about Mac OS9.

> I do not think there's a lot of danger involved.

RFC 4288 states that even using the word "none" is
already dangerous.  AFAIK media type registrations
are not supposed to "invent" file extensions (or
file type codes for a historic OS) out of thin air.

-Frank

---

From: Paul Libbrecht <[email-masked]>
Date: Thu, 3 Nov 2011 13:38:56 +0100

The same kind of reasoning was made for TeX and Maple media-types, it was deemed not necessary.
The result being... there's about twenty such out there.

Hence I believe it is useful to make some choice beforehand for even the clipboard names so that a reference is used in any case it appears useful.

I believe this is the right place to discuss clipboard names but surely you could try to rewake Apple's four-letter directory.

It looks like you do not see this related, I will not be able to convince you more.

paul

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 14 Nov 2011 07:28:32 +0100

Hi,

the unregistered application/opensearchdescription+xml
MIME type is commonly used in "search" link relations:

<http://www.iana.org/assignments/link-relations/link-relations.xml>

The "popular" web browsers (IE7 or later, Firefox, and
others) support OpenSearch descriptions for years. The
specification is stable.  Two changes in 2011 consist
of an updated reference s/RFC 3066/RFC 5646/ and the
addition of the MIME type registration template as
required by RFC 4288 section 4.10:

<http://www.opensearch.org/Specifications/OpenSearch/1.1#MIME_type_application.2Fopensearchdescription.2Bxml>

Please register this MIME type following the procedure
in RFC 4288 section 5.  To simplify the evaluation I've
posted the registration request template also as I-D:

Regards,
 Frank